Subject: Re: Cygwin for Government Use
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: "Hanson, Richard Mr CAA" <[email-masked]>
Date: Wed, 31 Mar 2004 16:24:04 +0200

Hi Rick,

On Mar 31 08:06, Hanson, Richard Mr CAA wrote:
> Greetings,
> 
> I work at an agency for the US Army and in making a software procurement (really, installation) request for cygwin, a few developers here were surprised to find out that RedHat charges the government for the use of cygwin.  Our IT manager:
> 
>     This software is not free to the Government.  To obtain a license to use the
>     Cygwin utilities CAA would have to purchase a support agreement from RedHat.
> 
> (BTW, when he says "free," he means gratis.)
> 
> Is it true that while you seem to provide gratis downloads (and subsequent use) of cygwin to other parties, you charge a fee to government sites (for downloads and use)?  I ask you since it seemed absurd to me that he would say that, considering I have searched your website and can find no such stipulation.
> 
> Can anyone illuminate me on the matter?  I'd especially appreciate an official word from RedHat people that I could forward to my IT manager.
> 
> Thanks!
> --Rick
> 
> Rick Hanson
> OR Analyst
> US Army Center for Army Analysis
> [email-masked]

when reading http://cygwin.com/licensing.html, you will find that the
licensing of Cygwin is pretty clear.

Cygwin is Open Source, provided under the GNU Public License.

That means basically, that all software linked against the Cygwin library
is automatically Open Source as well.

Two exception from this rule exist:

- If your applications linked against the Cygwin library are only used
  for youyr own internal purposes, you don't have to make the sources
  public as well.

- If you want to make your application public, but not the sources,
  you have to purchase a special Cygwin contract from Red Hat, which
  then excempt you from the GPL rule.

To the best of my knowledge, there's no part of the Cygwin license which
constraints governmental usage of Cygwin.

However, to get a final word on this, I forwarded this mail to our sales
representative for Cygwin.

Hope that helps,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/